Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class GroovyDocTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.GroovyDocTool

    public class GroovyDocTool
    extends java.lang.Object

Authors:
  Jeremy Rayner

Constructor Summary
`GroovyDocTool(java.lang.String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
`GroovyDocTool(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String classTemplate)`
`GroovyDocTool(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.List links, java.util.Properties properties)`

Method Summary
`void` | `add(java.util.List filenames)`
`GroovyRootDoc` | `getRootDoc()`
`void` | `renderToOutput(OutputTool output, java.lang.String destdir)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyDocTool

    public GroovyDocTool(java.lang.String[] sourcepaths)

  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  Parameters:
    `sourcepaths` - where the sources to be added can be found

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String classTemplate)

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, java.lang.String[] sourcepaths, java.lang.String[] docTemplates, java.lang.String[] packageTemplates, java.lang.String[] classTemplates, java.util.List links, java.util.Properties properties)

Method Detail

### add

    public void add(java.util.List filenames)

### getRootDoc

    public GroovyRootDoc getRootDoc()

### renderToOutput

    public void renderToOutput(OutputTool output, java.lang.String destdir)

Groovy Documentation